> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Live Global Components For A Channel

> Gets a list of all the live global component data for a specified channel



## OpenAPI

````yaml xm_v2 get /v2/global-component/live
openapi: 3.0.0
info:
  version: 2.0.0
  description: >-
    fabric's Experiences (formerly known as XM) enables you to design,
    implement, and optimize omnichannel e-commerce experiences, without having
    to code. With XM, you can easily add parent and child categories through our
    intuitive UI to create your website navigation, and seamlessly integrate
    with our APIs    for dynamic navigation rendering on your store front. In
    addition, developers can implement agile design by creating reusable design
    components and use one set of data and APIs for every channel.
  title: Experiences v2 (XM v2)
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc/api-license
servers:
  - url: https://cdn.xm.fabric.inc/api
security: []
tags:
  - name: Pages
    description: >-
      XM Pages API allows you to fetch all the live pages, or a live page by a
      specific URL
  - name: Global Components
    description: >-
      XM Global Components API allows you to fetch all the live global component
      data
  - name: Menu
    description: XM Menu API allows you to fetch menus and their items
paths:
  /v2/global-component/live:
    get:
      tags:
        - Global Components
      summary: Get Live Global Components For A Channel
      description: >-
        Gets a list of all the live global component data for a specified
        channel
      operationId: getLiveGlobalComponentsV2
      parameters:
        - in: query
          name: channels
          description: Comma-separated list of channel IDs
          schema:
            type: string
            default: '12'
        - $ref: 35eb687d-fc12-42ed-8cef-ed1fa05c0c12
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Components'
              examples:
                LiveComponents:
                  $ref: '#/components/examples/globalComponentsExample'
                NoLiveComponents:
                  summary: No Live Components
                  value: []
        '500':
          description: Request was received but an internal error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: INTERNAL_SERVER_ERROR
                message: >-
                  An internal error occurred. Contact support@fabric.inc. if
                  issue persists
components:
  schemas:
    Components:
      type: array
      description: List of components
      items:
        type: object
        description: Component data
        properties:
          _id:
            type: string
            description: Virtual ID associated with the component
          id:
            type: string
            description: Identifier used in the UI by the component
          params:
            type: object
            description: Attached fields and values of the component
            additionalProperties: true
        additionalProperties: true
    Error:
      type: object
      description: Server error response object
      properties:
        code:
          type: string
          description: Code associated with the type of server error
        message:
          type: string
          description: Message associated with the server error
      required:
        - code
        - message
  examples:
    globalComponentsExample:
      summary: Live Components Exist
      value:
        - _id: 60896f629aa7f1000744030b
          id: RailNavigation
          params:
            homeLinkText: Home
            sections:
              - sectionTitle: Get Started
                sectionLink: /start
                subsections:
                  - subSectionTitle: What is fabric?
                    subSectionLink: /what-is-fabric
                    components: []
                components: []
            title: Title
          order: 1
        - _id: 608ad8760536ac00074bec45
          id: CustomHeader
          params:
            developerSectionText: developerSectionText
            developerSectionLinks:
              - title: Knowledge Base
                description: Get started
                link: https://fabric.inc/knowledgebase
                components: []
              - title: API documentation
                description: Customize without limits
                link: https://api.fabric.inc/
                components: []
          order: 1

````